> ## Documentation Index
> Fetch the complete documentation index at: https://pulze.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Space Models

> Retrieve the list of models for the Space.



## OpenAPI

````yaml get /v1/apps/{app_id}/models
openapi: 3.1.0
info:
  title: Pulze.ai API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/apps/{app_id}/models:
    get:
      tags:
        - apps
      summary: List Space Models
      description: Retrieve the list of models for the Space.
      operationId: list_app_models_v1_apps__app_id__models_get
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: App Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppModels'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AppModels:
      properties:
        active_models:
          type: integer
          title: Active Models
        base_model_settings:
          items:
            $ref: '#/components/schemas/PulzeModelActiveForApp'
          type: array
          title: Base Model Settings
        failover_models:
          items:
            $ref: '#/components/schemas/ModelData'
          type: array
          title: Failover Models
      type: object
      required:
        - active_models
        - base_model_settings
        - failover_models
      title: AppModels
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PulzeModelActiveForApp:
      properties:
        model:
          type: string
          title: Model
          description: The name of the model. Can belong to many providers
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
          description: The provider for the model.
        owner:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner
          description: >-
            The owner of the model. Sometimes, for a provider/model combination,
            many instances exist, trained on different data
        namespace:
          type: string
          title: Namespace
          description: The fully qualified (namespaced) model name
        at:
          anyOf:
            - type: string
            - type: 'null'
          title: At
          description: Extra model settings inferred from namespace
        context_window:
          type: integer
          title: Context Window
          description: The max_tokens for this model
        until:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Until
          description: The most recent data this model has been trained with
        description:
          type: string
          title: Description
          description: A description of the model
        url:
          type: string
          title: Url
          description: A URL to the model's page or more informatino
        api_target:
          type: string
          title: Api Target
          description: Store the name of the model the API requires
          default: ''
        deprecated_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deprecated On
          description: >-
            For models whose deprecation date is known (past or future), to show
            errors and deny service, or show warnings
        parent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Id
          description: The ID of parent, in case it's not a base model
        parent:
          anyOf:
            - $ref: '#/components/schemas/ModelData'
            - type: 'null'
        prompt_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Prompt Id
          description: The ID of prompt, used for this model
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
          description: Used to uniquely target models when we enable/disable them
        active:
          type: boolean
          title: Active
          description: Whether the model is active for the app.
          default: false
        globally_disabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Globally Disabled
          description: Whether the model is active for the org.
          default: false
      type: object
      required:
        - model
        - namespace
        - context_window
        - until
        - description
        - url
        - id
      title: PulzeModelActiveForApp
    ModelData:
      properties:
        supports_functions:
          type: boolean
          title: Supports Functions
          description: True if the model supports `function`/`tool` call
        supports_json:
          type: boolean
          title: Supports Json
          description: True if the model supports `json`-formatted responses
        supports_n:
          type: boolean
          title: Supports N
          description: >-
            True if the model supports `n` and `best_of` -- i.e, multiple
            responses
        supports_penalties:
          type: boolean
          title: Supports Penalties
          description: >-
            True if the model supports `frequency_penalty` and
            `presence_penalty`
        supports_stream:
          type: boolean
          title: Supports Stream
          description: True if the model supports streaming responses
        supports_vision:
          type: boolean
          title: Supports Vision
          description: True if the model supports image recognition (vision)
        completion_token_cost:
          type: number
          title: Completion Token Cost
          description: The cost of a completion token, in USD
        prompt_token_cost:
          type: number
          title: Prompt Token Cost
          description: The cost of a prompt token, in USD
        base_cost:
          type: number
          title: Base Cost
          description: >-
            A (usually 0) cost added on top of a request. Some models charge per
            request, not only per token
        price_unit:
          type: string
          enum:
            - tokens
            - characters
          title: Price Unit
          description: The unit of billing for this model
        model:
          type: string
          title: Model
          description: The name of the model. Can belong to many providers
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
          description: The provider for the model.
        owner:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner
          description: >-
            The owner of the model. Sometimes, for a provider/model combination,
            many instances exist, trained on different data
        namespace:
          type: string
          title: Namespace
          description: The fully qualified (namespaced) model name
        at:
          anyOf:
            - type: string
            - type: 'null'
          title: At
          description: Extra model settings inferred from namespace
        context_window:
          type: integer
          title: Context Window
          description: The max_tokens for this model
        until:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Until
          description: The most recent data this model has been trained with
        description:
          type: string
          title: Description
          description: A description of the model
        url:
          type: string
          title: Url
          description: A URL to the model's page or more informatino
        api_target:
          type: string
          title: Api Target
          description: Store the name of the model the API requires
          default: ''
        deprecated_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deprecated On
          description: >-
            For models whose deprecation date is known (past or future), to show
            errors and deny service, or show warnings
        parent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Id
          description: The ID of parent, in case it's not a base model
        parent:
          anyOf:
            - $ref: '#/components/schemas/ModelData'
            - type: 'null'
        prompt_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Prompt Id
          description: The ID of prompt, used for this model
        is_rag:
          type: boolean
          title: Is Rag
          description: Whether it's rag-tuned or not
        is_ft:
          type: boolean
          title: Is Ft
          description: Whether it's fine-tuned or not
        is_open_source:
          type: boolean
          title: Is Open Source
          description: True if the model is open source
        is_gdpr:
          type: boolean
          title: Is Gdpr
          description: True if the model complies with GDPR
        is_chat:
          type: boolean
          title: Is Chat
          description: >-
            True if the model is of type Chat Completions, False if it's a Text
            Completion model.
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
          description: The ID of this model
        app_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: App Id
          description: The app_id that has access to this model (if only one)
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
          description: The org_id that has acccess to this model
        added_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Added By
          description: The user (auth0_id) who created the model
        added_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Added On
          description: When the model was added. Auto-populated in DB
        modified_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified On
          description: When the model was updated. Auto-populated in DB
        is_public:
          type: boolean
          title: Is Public
          description: True if the model is publicly accessible to all
        is_test_model:
          type: boolean
          title: Is Test Model
          description: >-
            Test models are only used for testing and do not perform any LLM
            requests
        is_pulze_owner:
          type: boolean
          title: Is Pulze Owner
          description: Model has been created and shared by Pulze
        default_active:
          type: boolean
          title: Default Active
          description: >-
            This determines if the model will be available + pre-selected when
            users create new apps.
      type: object
      required:
        - supports_functions
        - supports_json
        - supports_n
        - supports_penalties
        - supports_stream
        - supports_vision
        - completion_token_cost
        - prompt_token_cost
        - base_cost
        - price_unit
        - model
        - namespace
        - context_window
        - until
        - description
        - url
        - is_rag
        - is_ft
        - is_open_source
        - is_gdpr
        - is_chat
        - id
        - app_id
        - org_id
        - added_by
        - added_on
        - modified_on
        - is_public
        - is_test_model
        - is_pulze_owner
        - default_active
      title: ModelData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````